Skip to content
Get started

Update Tags

PUT/models/{modelId}/tags

Add/delete tags for the given modelId

Path ParametersExpand Collapse
modelId: string
Body ParametersJSONExpand Collapse
add: optional array of string

The list of tags to add

delete: optional array of string

The list of tags to delete

strict: optional boolean

If true, the function will throw an error if:

  • one of the tags to add already exists
  • one of the tags to delete is not found If false, the endpoint will behave as if it was idempotent
ReturnsExpand Collapse
added: array of string

The list of added tags

deleted: array of string

The list of deleted tags

Update Tags

curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/tags \
    -X PUT \
    -H 'Content-Type: application/json' \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
    -d '{}'
{
  "added": [
    "string"
  ],
  "deleted": [
    "string"
  ]
}
Returns Examples
{
  "added": [
    "string"
  ],
  "deleted": [
    "string"
  ]
}